你所在的位置:首 页 >> php编程 >> 详细新闻页面


PHP的包管理工具Composer牛刀小试

作者:zhirong1230 创建时间:2017-07-12 阅读次数:383


Composer 是 PHP 的一个依赖管理工具

为什么是composer ?

网络上有大量的开源PHP代码,即便它们基于非常自由的许可,将它们放到你的新项目中也是非常困难的。有时候使用代码库并不是非常便捷的。Composer正是解决这一问题的。

Composer 可以替换繁琐的PEAR,你可以在自己的项目中声明所依赖的外部工具库(libraries),Composer 会帮你安装这些依赖的库文件。

相关地址:Composer (官网)Composer (国内)

Packagist

Packagist is the main Composer repository. It aggregates public PHP packages installable with Composer.

Yii PHP Framework

The Fast

Secure

Professional

GII

模板小物件

命令行安装:

composer global require "fxp/composer-asset-plugin:^1.2.0"

composer create-project --prefer-dist yiisoft/yii2-app-basic basic

composer create-project --prefer-dist yiisoft/yii2-app-advanced yii-application

Yii安装Adminlte

安装:

To install AdminLTE v2 run:

php composer.phar require dmstr/yii2-adminlte-asset "2.*"

To install AdminLTE v1 run:

php composer.phar require dmstr/yii2-adminlte-asset "1.*"

select2

使用说明文档

安装:

$ php composer.phar require kartik-v/yii2-widget-select2 "@dev"

or

"kartik-v/yii2-widget-select2": "@dev" to the require section of your composer.json file.



    关键词(keywords):PHP的包管理工具Composer牛刀小试

分享到: 更多


前一篇: Java数组(初学者必看)            后一篇:java程序员必看经典书单,以及各个阶段学习建议!

phpchina   php爱好者   php100    中国网管联盟   LAMP兄弟连   河北联合大学   胜芳趣团网   rss 联系我们 问题反馈
版权所有@:ABCMS新闻发布系统!
建议使用ie6、ie8和 ff 浏览器进行浏览 | 建议分辨率:1024x768
地址:唐山市路北区高新技术产业园区龙华道128号 | 邮编:63000| 邮箱:zhirong1230@yeah.net